curl -X PUT https://api.growthbook.io/api/v1/teams/{id} -d '{ ... }' -u secret_abc123DEF456{
"team": {
"id": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"name": "<string>",
"createdBy": "<string>",
"description": "<string>",
"role": "<string>",
"limitAccessByEnvironment": true,
"environments": [
"<string>"
],
"members": [
"<string>"
],
"managedByIdp": true,
"projectRoles": [
{
"role": "<string>",
"limitAccessByEnvironment": true,
"environments": [
"<string>"
],
"project": "<string>",
"teams": [
"<string>"
]
}
],
"managedBy": {
"type": "<string>",
"resourceId": "<string>"
},
"defaultProject": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"Success
Show child attributes
curl -X PUT https://api.growthbook.io/api/v1/teams/{id} -d '{ ... }' -u secret_abc123DEF456{
"team": {
"id": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"name": "<string>",
"createdBy": "<string>",
"description": "<string>",
"role": "<string>",
"limitAccessByEnvironment": true,
"environments": [
"<string>"
],
"members": [
"<string>"
],
"managedByIdp": true,
"projectRoles": [
{
"role": "<string>",
"limitAccessByEnvironment": true,
"environments": [
"<string>"
],
"project": "<string>",
"teams": [
"<string>"
]
}
],
"managedBy": {
"type": "<string>",
"resourceId": "<string>"
},
"defaultProject": "<string>"
}
}